<?php
/*
Plugin Name: Restore Link Title Field
Plugin URI: http://ottopress.com/wordpress-plugins/restore-link-title-field
Description: Adds back the missing title field to the TinyMCE link editor
Version: 1.0
Author: Otto
Author URI: http://ottopress.com
License: GPLv2
License URI: http://www.opensource.org/licenses/GPL-2.0
*/

add_action( 'init', 'restore_link_title_field', 20 );
function restore_link_title_field( ) {
	wp_deregister_script( 'wplink' );
	wp_register_script( 'wplink', plugins_url( 'restore-link-title-field.js',__FILE__ ) );
	wp_localize_script( 'wplink', 'wpLinkL10n', array(
		'title' => __('Insert/edit link'),
		'update' => __('Update'),
		'save' => __('Add Link'),
		'noTitle' => __('(no title)'),
		'noMatchesFound' => __('No results found.')
	) );
}